/*window*/
.window {
    padding-top: 0px !important;
    padding-right: 0px !important;
}

.layui-body {
    overflow: auto;
}

.layui-nav-item a:hover {
    /*background-color: #009688;*/
    color: #fff;
}

/*portal*/
.sys-soian-info {
    color: white;
    position: relative;
    top: 15px;
    right: 15px;
}

    .sys-soian-info .link {
        position: relative;
        top: -55px;
        margin-right: 10px;
    }

        .sys-soian-info .link a {
            font-size: 17px !important;
            color: white !important;
        }

.portal-panel .panel-title {
    height: 50px !important;
    padding: 7px 10px 5px 10px !important;
    border-radius: 4px 4px 0 0;
    font-size: 16px;
    border-bottom: 1px solid #EEEFF1;
    background-color: #1E9FFF;
    color: #ffffff;
}

.panel-title span {
    position: relative;
    top: 5px;
    font-size: 18px;
}

.portal-panel .panel-content {
    border: 1px solid transparent !important;
    border-radius: 4px;
    box-shadow: 0 1px 1px rgba(0,0,0,.0);
}

.temp-my-portal-msg {
    height: 350px !important;
}


    .temp-my-portal-msg .right-area-container {
        background-color: #fff;
        margin-bottom: 35px;
        border: 1px solid transparent;
        border-radius: 4px;
        box-shadow: 0 1px 1px rgba(0,0,0,.05);
    }




/*historys*/
.historys ul .current {
    border-top: 0px !important;
    border-left: 0px !important;
    border-right: 0px !important;
    padding-bottom: 0px !important;
    background-color: inherit !important;
}

.historys {
    padding: 0px !important;
}

    .historys li {
        margin-left: 0px !important;
        margin-right: 0px !important;
    }

    .historys a:link, .historys a:visited, .historys a:hover {
        text-decoration: none;
        color: #666 !important;
    }

    .historys span {
        padding: 0 !important;
    }

    .historys li a.close-history {
        background: 0 !important;
        position: static !important;
        right: auto !important;
        top: auto !important;
        width: auto !important;
        height: auto !important;
    }

.history-area {
    width: auto !important;
}

.layui-fluid .layui-portalcontainer {
    min-height: 248px;
    height: 248px;
    overflow: auto;
    position: relative;
}

.layui-elem-field a:link, .layui-elem-field a:visited {
    color: #2D59BC !important;
}

.layui-elem-field a:hover {
    color: #777 !important;
}

a:link, a:visited, .ui-autocomplete a:hover {
    color: #fff !important;
}


.ui-searchbar a:link, .ui-searchbar a:visited {
    color: #fff !important;
}
    /*·ÖÒ³*/
    .ui-pager .setpage {
        margin-right: 0px !important;
        border-right-width: 0px !important;
        padding: 3px 9px 3px 9px !important;
        border-radius: 1px !important;
    }

.ui-pager .to-end, .ui-pager .go {
    border-right-width: 1px !important;
}

.ui-pager a {
    background-color: #fff !important;
    color: #333 !important;
}

.ui-pager .setpage.current {
    background-color: #009688 !important;
    color: #fff !important;
    border-radius: 2px !important;
}

.ui-pager .to-start span {
    font-family: layui-icon !important;
    background-image: none !important;
}

    .ui-pager .to-start span:before {
        content: "\e65a";
    }

.ui-pager .to-end span {
    font-family: layui-icon !important;
    background-image: none !important;
}

    .ui-pager .to-end span:before {
        content: "\e65b";
    }

.ui-pager .jump {
    padding-top: 0px !important;
}

/*module-home*/
.module-home-title {
    margin-top: 0px !important;
    margin-bottom: 0px !important;
}

.module-second-child {
    width: auto !important;
}

.second-child-title {
    width: auto !important;
}

    .second-child-title .child-icon {
        background-image: none !important;
        width: 0px !important;
        margin-left: 0px !important;
    }

    .second-child-title span:not(.child-icon) {
        display: inherit !important;
        padding-top: 0px !important;
        padding-left: 0px !important;
        color: #333 !important;
    }

.module-third-child {
    width: auto !important;
}

    .module-third-child span {
        color: #fff !important;
        font-size: 14px !important;
        padding-right: 0px !important;
    }

.pagekey-title {
    background-color: #fff !important;
    color: #333 !important;
}

.pagekey-container {
    padding-top: 10px;
    padding-left: 10px;
}


.shpanel-content {
    display: inline-block !important;
}

    .shpanel-content .shcard-body {
        float: inherit !important;
        width: auto !important;
        height: auto !important;
        margin: 0 0 0 0 !important;
        background-image: none !important;
    }

        .shpanel-content .shcard-body .shcard-title {
            padding-top: 0px !important;
            font-size: 0px !important;
            font-weight: normal !important;
        }


/*°´Å¥*/
.icon-link {
    display: inline-block !important;
    height: 22px !important;
    line-height: 22px !important;
    padding: 0 5px !important;
    background-color: #009688;
    color: #fff !important;
    white-space: nowrap !important;
    text-align: center !important;
    font-size: 12px !important;
    border: none !important;
    border-radius: 5px !important;
    cursor: pointer !important;
}

    .icon-link i {
        background-image: none !important;
        display: inline !important;
        position: relative !important;
        top: 0px !important;
        left: 0px !important;
        font-family: layui-icon !important;
        font-size: 14px !important;
        font-style: normal !important;
        -webkit-font-smoothing: antialiased !important;
        margin-right: 3px !important;
    }


.icon-new:before {
    content: "\e654";
}

.icon-edit:before {
    content: "\e642";
}

.icon-delete:before {
    content: "\e640";
}

.icon-view:before {
    content: "\e60a";
}

.icon-download:before {
    content: "\e601";
}

.icon-submit:before {
    content: "\e62f";
}

.icon-back:before {
    content: "\e65c";
}

.icon-upload:before {
    content: "\e681";
}

.icon-flow:before {
    content: "\e641";
}

.icon-flow-return:before {
    content: "\e9aa";
}

.icon-export:before {
    content: "\e63c";
}

.icon-word:before {
    content: "\e63c";
}

.icon-stop:before {
    content: "\e651";
}

.icon-start:before {
    content: "\e652";
}

.icon-history:before {
    content: "\e609";
}

.icon-search:before {
    content: "\e615";
}

.icon-date:before {
    content: "\e637";
}

.icon-tree:before {
    content: "\e630";
}

.autocomplete-icon:before {
    content: "\e615";
}


/*toolbar*/

.ui-toolbar {
    border-color: inherit !important;
    background-color: #fff !important;
    border: 0 !important;
    border-bottom-style: solid !important;
    border-bottom-width: 1px !important;
    border-bottom-color: rgb(175, 175, 175) !important;
    height: auto !important;
    padding: 10px !important;
    padding-right: 0 !important;
}

a.file-link, a.upload-file, a.file-delete {
    color: #01AAED !important;
}

    a.file-link:hover, a.upload-file:hover, a.file-delete:hover {
        color: #01AAED !important;
        text-decoration: underline !important;
    }

.import-errorview {
    color: #fff !important;
}

a.import-exceptionlog {
    background-color: #FF5722 !important;
}

.inside-toolbar {
    text-align: center;
}

    .inside-toolbar .icon-link {
        height: 38px !important;
        line-height: 38px !important;
        font-size: 18px !important;
        padding-left: 20px !important;
        padding-right: 20px !important;
    }

        .inside-toolbar .icon-link i {
            font-size: 18px !important;
        }


/*searchbar*/
.ui-searchbar {
    padding: 15px 15px 15px 15px !important;
    height: auto !important;
    position: relative !important;
    background-color: #fff !important;
    border: 0 !important;
    margin-bottom: 0px;
    border-bottom: solid 1px #e6e6e6 !important;
}

    .ui-searchbar .base {
        overflow: hidden !important;
    }

.btn-area {
    height: 38px !important;
    line-height: 38px !important;
    background-color: #009688 !important;
    margin-right: 20px !important;
}

.ui-searchbar .search-button {
    background-image: none;
    font-family: layui-icon;
    font-size: 18px;
    text-align: center;
    margin-right: 0px;
    padding: 0;
    height: 38px;
    line-height: 38px;
    background-color: #009688;
    overflow: hidden;
    float: right;
}

    .ui-searchbar .search-button span {
        background-image: none !important;
    }

.advanced {
    display: block !important;
    overflow: hidden !important;
}

.more-button {
    display: none !important;
}

.search-button:before {
    content: "\e615";
}

.ui-echarts-panel .ui-tabs ul li {
    background-color: #93d7fd !important;
}

.ui-tabs .ui-tabs-nav li.ui-tabs-active {
    background: #1E9FFF !important;
}

.ui-echarts-panel .ui-searchbar {
    display: block !important;
}



/*tab*/
.window .ui-tabs {
    margin: 0 !important;
    text-align: left !important;
    border: solid 1px #e6e6e6 !important;
}

    .window .ui-tabs .ui-tabs-nav {
        height: 42px;
        border-bottom-color: #f6f6f6;
        position: relative !important;
        left: 0 !important;
        white-space: nowrap !important;
        font-size: 0 !important;
        border-bottom-width: 1px !important;
        border-bottom-style: solid !important;
        -webkit-transition: all .2s !important;
        border-color: #e6e6e6 !important;
        background-color: #fff !important;
    }

        .window .ui-tabs .ui-tabs-nav li.ui-tabs-active {
            color: #333 !important;
            background: #fff !important;
            font-weight: 600;
        }

        .window .ui-tabs .ui-tabs-nav li a:link, .window .ui-tabs .ui-tabs-nav li a:visited, .window .ui-tabs .ui-tabs-nav li a:hover {
            color: #333 !important;
        }

        .window .ui-tabs .ui-tabs-nav li.ui-tabs-active a:active, .window .ui-tabs .ui-tabs-nav li.ui-tabs-active a:focus {
            outline: none;
        }

        .window .ui-tabs .ui-tabs-nav li.ui-tabs-active a:after {
            height: 43px;
            border: none;
            position: absolute;
            left: 0;
            top: 0;
            content: '';
            width: 100%;
            height: 41px;
            box-sizing: border-box;
            border-bottom: 2px solid #5FB878;
        }

        .window .ui-tabs .ui-tabs-nav li {
            margin: 0 15px;
            padding: 0;
            line-height: 42px;
            display: inline-block !important;
            vertical-align: middle !important;
            font-size: 14px !important;
            -webkit-transition: all .2s !important;
            position: relative !important;
            line-height: 40px !important;
            min-width: 65px !important;
            padding: 0 15px !important;
            text-align: center !important;
            cursor: pointer !important;
            top: 0px !important;
            height: auto !important;
        }

/*list pannel*/
.ui-panel {
    position: relative !important;
    padding: 10px 15px !important;
    line-height: 24px !important;
    background-color: #fff !important;
}

.panel-title {
    display: block !important;
    background-color: #fff !important;
    color: #333 !important;
    padding-left: 3px !important;
}

    .panel-title .switch {
        display: none !important;
    }

    .panel-title span {
        top: auto !important;
    }

.panel-content {
    border: 1px solid #e6e6e6 !important;
    padding: 0 !important;
    padding-top: 15px !important;
}

.ui-gridview .header, ui-treetable .header {
    background-color: #f2f2f2 !important;
}

    .ui-gridview .header td {
        border-top: none;
        border-left: none;
        border-width: 1px;
        border-style: solid;
        border-color: #e6e6e6;
        text-align: center;
        padding-top: 5px;
        padding-bottom: 5px;
    }

.ui-gridview .item .index-table td.index-cell {
    border: 0 !important;
}


.ui-treetable tr:hover {
    background-color: #e6e6e6 !important;
}

.ui-treetable th {
    padding: 5px !important;
    border-top: none !important;
    border-left: none !important;
    border-width: 1px !important;
    border-style: solid !important;
    border-color: #e6e6e6 !important;
}

.ui-treetable td {
    border-width: 1px !important;
    border-style: solid !important;
    border-color: #e6e6e6 !important;
}

.ui-card-item a {
    color: #1E9FFF !important;
}

.ui-card-item .card-btn-area a {
    color: #fff !important;
}

.cycletimepanel-content a {
    color: #000 !important;
}

/*view-editor*/

.avatar-control span {
    color: #000 !important;
}

/*ui-dialog*/
.ui-dialog .dialog-title {
    background: #F8F8F8 !important;
}
/*.ui-dialog{
    z-index: 100003;
} */
.ui-widget-overlay {
    z-index: 8999 !important;
}

.mini-dialog .ui-textbox {
    width: 282px;
}

.mini-dialog .editor-field {
    width: 420px;
}


/*color-span*/
span.color-span {
    color: #fff;
    padding: 5px 1px 5px 1px;
}

    span.color-span.span-danger {
        background-color: #FF5722 !important;
        border-color: #FF5722 !important;
    }

    span.color-span.span-warning {
        background-color: #FFB800 !important;
        border-color: #FFB800 !important;
    }

    span.color-span.span-info {
        background-color: #1E9FFF !important;
        border-color: #1E9FFF !important;
    }

    span.color-span.span-primary {
        background-color: #1E9FFF !important;
        border-color: #1E9FFF !important;
    }

    span.color-span.span-success {
        background-color: #2ec770 !important;
        border-color: #2ec770 !important;
    }

    span.color-span.span-ignore {
        background-color: gray !important;
    }



.layui-side-menu, .layadmin-pagetabs .layui-tab-title li:after, .layadmin-pagetabs .layui-tab-title li.layui-this:after, .layui-layer-admin .layui-layer-title, .layadmin-side-shrink .layui-side-menu .layui-nav > .layui-nav-item > .layui-nav-child {
    background-color: #344058 !important;
}

.layui-layout-admin .layui-logo {
    background-color: #0085E8 !important;
}

.layui-layout-admin .layui-header {
    background-color: #1E9FFF;
}

    .layui-layout-admin .layui-header a, .layui-layout-admin .layui-header a cite {
        color: #f8f8f8;
    }

        .layui-layout-admin .layui-header a:hover {
            color: #fff;
        }

    .layui-layout-admin .layui-header .layui-nav .layui-nav-more {
        border-top-color: #fbfbfb;
    }

    .layui-layout-admin .layui-header .layui-nav .layui-nav-mored {
        border-color: transparent;
        border-bottom-color: #fbfbfb;
    }

    .layui-layout-admin .layui-header .layui-nav .layui-this:after, .layui-layout-admin .layui-header .layui-nav-bar {
        background-color: #fff;
        background-color: rgba(255,255,255,.5);
    }

.layadmin-pagetabs .layui-tab-title li:after {
    display: none;
}



/*frame*/
/*ui-loading*/
.ui-loading {
    width: 200px !important;
    height: 200px !important;
    background-repeat: round !important;
}


/*field*/

.ui-panel .editor-label, .layui-col-space15 .editor-label {
    line-height: 30px;
    font-size: 15px;
}

.ui-panel .editor-field {
    padding-left: 15px !important;
    line-height: 30px !important;
}

.ui-panel .ui-textbox {
    line-height: 30px;
    height: 30px;
    width: 400px;
}

.ui-panel textarea {
    width: 402px !important;
    height: 70px !important;
}

.ui-panel .ui-select {
    height: 30px !important;
    max-width: 405px;
}

.ui-panel .ui-autocomplete-input {
    line-height: 30px !important;
    height: 30px !important;
}

.autocomplete-icon {
    background-image: none !important;
    font-family: layui-icon !important;
    font-size: 20px !important;
}

.ui-searchfield .result {
    line-height: 30px;
}

.ui-menu .ui-menu-item:hover {
    background-color: #1E9FFF;
}

.ui-panel .ui-treefield, .layui-col-space15 .ui-treefield {
    line-height: 30px !important;
    min-height: 30px;
}

.ui-treefield .result span, .ui-multisearchfield .result span {
    line-height: 27px !important;
    background-image: none !important;
    background-color: #5FB878 !important;
    border-color: #5FB878 !important;
    color: #fff !important;
}

.ui-panel .ui-datetime {
    line-height: 30px !important;
    height: 30px !important;
    background-position: right 4px !important;
    background-image: none !important;
}

.ui-panel .ui-dialog-easydataselector {
    line-height: 30px !important;
    height: 30px !important;
    width: 400px !important;
    background-position: right 4px !important;
    background-image: none !important;
}

.ui-panel .eds-editor-field .ui-treefield {
    width: 200px !important;
    font-family: layui-icon !important;
}

    /*.ui-panel .eds-editor-field .ui-treefield:before {
        content: "\e630";
    }*/

.ui-panel .eds-editor-field .ui-textbox {
    width: 200px !important;
}

.ui-avatarXfield a.upload-file {
    color: #fff !important;
}

.ui-attachments-inner .attachment-item .ops a {
    color: #01AAED !important;
}




.dialog-button-area .dialog-easy-selector-btnok, .dialog-button-area .dialog-easy-selector-close {
    background-color: #009688 !important;
    background-image: none !important;
}

    .dialog-button-area .dialog-easy-selector-btnok span, .dialog-button-area .dialog-easy-selector-close span {
        background-image: none !important;
    }

.easy-selector-button-area .eds-select-seleted, .easy-selector-button-area .eds-select-all, .easy-selector-button-area .eds-remove-all {
    background-color: #009688 !important;
    background-image: none !important;
}

    .easy-selector-button-area .eds-select-seleted span, .easy-selector-button-area .eds-select-all span, .easy-selector-button-area .eds-remove-all span {
        background-image: none !important;
    }

.dialog-button-area .value-set, .dialog-button-area .save-create-item-indialog, .dialog-button-area .form-submitter, .dialog-button-area .save-edit-item-indialog, .dialog-button-area .save-entity-indialog, .dialog-button-area .dialog-close {
    background-color: #009688 !important;
    background-image: none !important;
}

    .dialog-button-area .value-set span, .dialog-button-area .save-create-item-indialog span, .dialog-button-area .form-submitter span, .dialog-button-area .save-edit-item-indialog span, .dialog-button-area .save-entity-indialog span, .dialog-button-area .dialog-close span {
        background-image: none !important;
    }

.dialog-button-area .avatar-control-submit, .dialog-button-area .avatar-dialog-close {
    background-color: #009688 !important;
    background-image: none !important;
}

    .dialog-button-area .avatar-control-submit span, .dialog-button-area .avatar-dialog-close span {
        background-image: none !important;
    }


.create-item-indialog {
    background-color: #009688 !important;
    padding: 5px 5px 6px 5px !important;
    border-radius: 5px !important;
    font-family: layui-icon !important;
}

    .create-item-indialog:before {
        content: "\e654";
    }


/*searchbar field*/

.ui-searchbar .ui-datetime {
    background-image: none !important;
}






/*ie8*/
.layui-half {
    width: 50%;
    float: left;
}

.layui-quarter {
    width: 25% !important;
}

.layui-col-space15 .ui-searchbar .search-button {
    position: static;
    float: right;
}

.chartstatic-header {
    border-left: 5px solid #1E9FFF;
}

.ui-searchbar .ui-radiogroup, .layui-col-space15 .ui-radiogroup {
    padding-top: 5px;
}

.ui-dialog .editor-label {
    line-height: 30px;
}


.risk-4 {
    background-color: #009fd6
}

.btn-list .risk-3 {
    background-color: #fff011;
    color: black !important
}

.risk-2 {
    background-color: #ef7f2d
}

.risk-1 {
    background-color: #e4332d
}

.btn-list .risk-0 {
    background-color: #eeeeee;
    color: black !important
}

.btn-list {
    padding-bottom: 15px;
}

.dcs-item-carousel {
    height: 497px !important;
}

.dcs-item-body {
    padding: 8px 0px !important;
    height: 471px;
    overflow-y: auto;
}

    .dcs-item-body::-webkit-scrollbar {
        display: none;
    }

.dcs-item {
    padding: 5px 5px 5px 10px;
    border-bottom: #e6e6e6 solid 1px;
    cursor: pointer;
}

    .dcs-item:hover {
        background-color: #e6e6e6;
    }

.echart-bar-carousel {
    height: 497px !important;
}

.dcs-item-title {
    font-size: 15px
}

.dcs-item-number {
    font-weight: bold;
    font-size: 12px
}

.dcs-item-input, .dcs-item-input-copy {
    width: 98% !important;
    height: 30px !important;
    margin-left: 2px !important;
}

.dcs-item-Id {
    display: none;
}

.iframe-body {
    left: 0px;
    bottom: 0px;
    position: fixed;
    right: 0px;
    top: 50px;
}

.rj-top-header {
    height: 50px;
    font-size: 28px !important;
    text-align: center !important;
    font-weight: bold !important;
    vertical-align: middle !important;
}

.rj-table td {
    font-size: 15px;
}

.rj-table th {
    text-align: center;
    vertical-align: middle;
    font-weight: bold;
    font-size: 16px;
}

.rj-table label {
    margin-right: 8px;
    cursor: pointer;
}

.rj-table .editor-label {
    width: 15px
}

.rj-table input[type=text], .rj-table .ui-searchfield .result {
    width: 302px
}

.rj-table .ui-searchfield, .rj-table .ui-multisearchfield {
    width: 342px
}

.rj-content {
    text-align: center;
    vertical-align: middle;
    font-weight: bold;
}

.mcd-menu a {
    color: #317fca !important
}

.mcd-menu .icon-link {
    background-color: transparent;
}
.card-box-with-button a span {
    color:black
}


div[data-entity-name="DangerousSourceListOfMajorHazard"] .editor-label {
    width: 500px;
    text-align: left;
}